﻿@model IEnumerable<LibraryManagementSystem_Milestone01.Models.BorrowLedger>

@{
    ViewData["Title"] = "BorrowLedger";
}

<h1>Library Ledger</h1>

<p>
    | <a asp-action="Create">Add New Entry</a> |
</p>
<table class="table">
    <thead>
        <tr>
            <th>
                @Html.DisplayNameFor(model => model.TakenDate)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.ReturnDate)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Book)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Student)
            </th>
            <th></th>
        </tr>
    </thead>
    <tbody>
@foreach (var item in Model) {
        <tr>
            <td>
                @Html.DisplayFor(modelItem => item.TakenDate)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.ReturnDate)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Book.Name)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Student.Name)
            </td>
            <td>
                <a asp-action="Edit" asp-route-id="@item.BorrowId">Edit</a> |
                <a asp-action="Details" asp-route-id="@item.BorrowId">Details</a> |
                <a asp-action="Delete" asp-route-id="@item.BorrowId">Delete</a>
            </td>
        </tr>
}
    </tbody>
</table>
